@import url('https://fonts.googleapis.com/css2?family=Gabarito&family=Kanit:wght@500;600&family=Open+Sans:wght@400;700;800&family=Roboto+Condensed:wght@300&display=swap');

body{
    background-color:rgb(57, 65, 82);
    font-family: 'Gabarito', sans-serif;
    padding: 0;
    margin: 0;
}

nav{
    height: 120px;
    width: 100%;
    background-color: rgb(16, 33, 59);
    position: sticky;
    z-index: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0;
    border-bottom: 3px solid black;
}

.nav-content-container{
    margin: 0px, auto;
    width: 1000px;
    display: flex;
    flex-direction: row;
}

.profile-picture{
    box-sizing: border-box;
    height: 140px;
    border-radius: 80px;
    color: blue;
    border: 4px solid rgb(43, 62, 99);
    align-self: center;
}

.full-banner{
    padding: 0px;
    display:flex;
    align-content: center;
    margin: auto;
    margin-left: 0px;
}

.banner-main{
    align-self: center;
    display:flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 0px;
    min-width: 520px;
}

#header-font{
    font-size: 50px;
    color:rgb(200, 205, 214);
    margin: 0px 0px -10px 0px;
    padding: 0px;
    text-decoration: none;
    background: none;
}

.navigation-bar{
    display: flex;
    justify-content: space-between;
    margin: 0;
    padding: 10px 0;
    align-content: center;
}

.navigation-bar li{
    display: inline-block;
    margin: auto 0px;
    padding: 0px;
    position: relative;
}

.navigation-bar > li, .menu > a {
    display: inline-block;
}

.navigation-bar a{
    display: block;
    text-decoration: none;
    padding: 3px;
    color: rgb(200, 205, 214);
}

.navigation-bar a:hover{
    color:rgb(0, 176, 94);
}

.navigation-bar li:hover > .submenu {
    display: block;
}

.navigation-button-selected{
    position:relative;
    outline: none;
    font-size: 26px;
    background-color:rgb(43, 62, 99);
    border-radius: 30px;
    color: rgb(0, 176, 94);
    box-sizing: border-box;
    width: 100%;
    text-align: center;
    margin: auto 0;
    padding: 5px;
    text-decoration: none;
    min-width: 140px;
}


.navigation-button-unselected {
    position:relative;
    outline: none;
    font-size: 20px;
    background-color:rgb(43, 62, 99);
    border-radius: 30px;
    color: rgb(200, 205, 214);
    box-sizing: border-box;
    width: 100%;
    text-align: center;
    margin: auto 0;
    padding: 5px;
    text-decoration: none;
    min-width: 140px;
}

.navigation-button-selected a:visited{
    text-decoration: none;
    color:rgb(0, 176, 94);
}

.navigation-button-unselected a:visited{
    text-decoration: none;
    color:rgb(200, 205, 214);
}

.navigation-button-selected a:link{
    text-decoration: none;
    color:rgb(0, 176, 94);
}

.navigation-button-unselected a:link{
    text-decoration: none;
    color:rgb(200, 205, 214);
}

.navigation-button-unselected a:hover{
    text-decoration: none;
    color:rgb(0, 176, 94);
}

ul{
    list-style: none;
}

.submenu{
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: left;
    padding-inline-start: 20px;
    display: none;
}

.submenu li{
    position: relative;
    margin: 0px;
    padding: 0;
}

.submenu li:hover > .submenu2 {
    display: block;
}

.submenu2{
    position: absolute;
    left: 100%;
    top: 0px;
    padding-inline-start: 0px;
    display: none;
}



.social-section{
    vertical-align: middle;
    margin: auto;
    margin-right: 0px;
    padding: 0px;
    display: flex;
    flex-direction: column;
    background-color: none;
    border-radius: 30px;
    border: 0px solid black;
    min-width: 300px;
}

.social-links{
    margin: 0px 0px 10px 0px;
    display: flex;
    justify-content: space-between;
}

.link-logo{
    margin: 0px;
    display: block;
    width: 40px;
    height: 40px;
    background-color: yellow;
    text-indent: -9999px;
}

.link-logo:hover{
    cursor: pointer;
}

#linked-in-logo{
    background: url(Assets/Logos/linked-in-logo.png) no-repeat 0 0;
    background-size: 100%;
    transform:scale(0.7);
    color: rgb(200, 205, 214);
    margin: 0;
}

#artstation-logo{
    background: url(Assets/Logos/artstation-logo.png) no-repeat 0 0;
    background-size: 100%;
    transform:scale(0.7);
    margin: 0;
}

#github-logo{
    background: url(Assets/Logos/github-logo.png) no-repeat 0 0;
    background-size: 100%;
    transform:scale(0.7);
    margin: 0;
}

#itch-io-logo{
    background: url(Assets/Logos/itch-io-logo.png) no-repeat 0 0;
    background-size: 100%;
    transform:scale(0.7);
    margin: 0;
}

.social-section p{
    vertical-align: middle;

    font-size: 22px;
    color: rgb(200, 205, 214);
    margin: 0;
    padding: 0;
}

#email-type{
    vertical-align: middle;
}

#email-ref{
    vertical-align: middle;
    font-size: 22px;
    color: rgb(0, 176, 94);
    margin: 0;
    padding: 0;
}

#copy-clipboard-button{
    height: 100%;
    align-self: center;
    vertical-align: middle;
    margin: 0px 0px 0px 10px;
    padding: 7px;
    background-color: rgb(43, 62, 99);
    border-radius: 30px;
}

#copy-clipboard-icon{
    margin: 0;
    padding: 0;
}

#copy-clipboard-button:hover{
    cursor: pointer;
}

.project-title{
    padding: 0px 0px;
    background-color:rgb(16, 33, 59);
    color:rgb(0, 176, 94);
    margin: 40px auto 40px auto;
    text-align: center;
    width: 600px;
    border-radius: 30px;
    font-size: 40px;
    font-family: 'Kanit', sans-serif;
    border: 3px solid black;
}

.main-screen{
    display: flex;
    background-image: url("Assets/HeaderBackdrop.png");
    width: auto;
    max-width: 1066px;
    height: auto;
    min-height: 600px;
    margin: 40px auto 40px;
    padding: 0px;
    border-radius: 30px;
    text-align: center;
    justify-content: center;
    color:rgb(200, 205, 214);
    border: 3px solid black;
}

@media (max-width: 1066px){
    #main-screen{
        width: 100%;
    }
}

.main-screen a{
    font-size: 24px;
    word-wrap: break-word;
    margin: 0px;
    padding: 0px;
    border-radius: 0px;
    color: rgb(0, 176, 94);
    text-decoration: none;
}

.video-showcase{
    color:rgb(16, 33, 59);
    border-radius: 27px;
    overflow: hidden;
    z-index: 1;
    border: 20px;
    -webkit-mask-image: -webkit-radial-gradient(circle, white 100%, black 100%); /*ios 7 border-radius-bug */
    -webkit-transform: rotate(0.000001deg); /*mac os 10.6 safari 5 border-radius-bug */
    -webkit-border-radius: 27px; 
    -moz-border-radius: 27px;
    border-radius: 27px; 
    overflow: hidden; 
    mask-image: none;
    transform: none;

}


/*   
<p class="project-description-text">This is what it would look like</p>
</div>
*/ 

.project-description-container{
    width: 1152px;
    margin: 40px auto;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    border: 3px solid black;
    overflow: hidden;
}

.project-description-text{
    color:rgb(200, 205, 214);
    text-align: left;
    font-size: 20px;
    display: inline;
    padding: 0px;
    margin: 0px;
}

.project-description-text a{
    text-decoration: none;
    color:rgb(0, 176, 94)
}

.project-description-content-box{
    margin: 25px;
}


.project-description-image-left-free{
    transition:all 0.5s ease;
    float: left;
    clear: left;
    width: 400px;
    margin: 25px 25px 25px 25px;
    border-radius: 25px;
    border: 3px solid black;
    padding: 0px;
}

.project-description-image-left-free:hover{
    width: 800px;
}

.project-description-image-right-free{
    transition:all 0.5s ease;
    float: right;
    clear: right;
    width: 400px;
    height: 100%;
    margin: 25px 25px 25px 25px;
    border-radius: 25px;
    border: 3px solid black;
    padding: 0px;
}

.project-description-image-right-free:hover{
    width: 800px;
}

.project-description-image-left-embedded{
    transition:all 0.5s ease;
    float: left;
    clear: left;
    width: 400px;
    margin: 15px 25px 25px 0px;
    border-radius: 25px;
    border: 3px solid black;
    padding: 0px;
}

.project-description-image-left-embedded:hover{
    width: 800px;
}

.project-description-image-right-embedded{
    transition:all 0.5s ease;
    float: right;
    clear: right;
    width: 400px;
    margin: 15px 0px 25px 25px;
    border-radius: 25px;
    border: 3px solid black;
    padding: 0px;
}

.project-description-image-right-embedded:hover{
    width: 800px;
}

.project-description-image-center{
    transition:all 0.5s ease;
    width: 800px;
    height: 100%;
    margin: 25px auto 25px auto;
    border-radius: 25px;
    border: 3px solid black;
    display: block;
}

.project-description-image-center:hover{
    width: 1100px;
}

.project-paragraph-title{
    color:rgb(0, 176, 94);
    font-size: 25px;
    margin: 20px;
    text-align: center;
}

#main-center-text{
    align-self: center;
    margin: 4%;
    padding: 0px 0px 20px 0px;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    width: 670px;
    border: 3px solid black;
    height: auto;

    
}

@media (max-width: 690px){
    #main-center-text{
        width: 90%;
        
    }
}

@media (max-height: 470px){
    #main-center-text{
        height: 90%;
        
    }
}





.main-center-profile-picture{
    padding: 20px;
    vertical-align: center;
}

.center-profile-picture{
    box-sizing: border-box;
    height: 160px;
    border-radius: 80px;
    color: blue;
    border: 4px solid rgb(43, 62, 99);
    align-self: center;
}


#main-name-text{
    display: flex;
    justify-content: center;
    margin: 0 0 0 0;
}

#name-self{
    padding: 0px;
    font-size: 55px;
    margin: auto 0px;
    text-align: left;
    vertical-align: center;
    width: 320px;
    line-height: 1.1;
}



@media (max-width: 690px){
    #name-self{
        font-size: 55px;
    }
}

@media (max-width: 620px){
    #name-self{
        font-size: 45px;
    }
}

@media (max-width: 540px){
    #name-self{
        font-size: 35px;
        padding: 0px 20px 0px 0px;
    }
}

#main-tagline{
    padding: 0;
    font-size: 34.8px;
    margin: auto;
    text-align: center;
    transform: translateX(7px);
}

#main-tagline a{
    padding: 0;
    font-size: 34.8px;
    margin: auto;
    text-align: center;
}

#main-fulltext{
    max-width: 650px;
    font-size: 25.5px;
    text-align: center;
    margin: 20px 14px;
}

#cta-contact-me{

    height: 70px;
    width: 250px;
    align-self: flex-end;
    background-color:rgb(27, 137, 85);
    border-radius: 30px;
    cursor: pointer;
    margin: 0px;
}

#cta-contact-me a{
    color:rgb(200, 205, 214);
    font-size: 30px;
    font-family: 'Kanit', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 0; 
    right: 0; 
    bottom: 0; 
    left: 0; 
    width: 100%; 
    height: 100%
}

.introduction{
    display: flex;
}

.featured-content{
    justify-content: center;
    margin: 50px 50px 0px auto;
}

.thumbnail{
    box-sizing: border-box;
    background-color: brown;
    width: 640px;
    height: 360px;
    border-radius: 30px;
    border: 3px solid black;
}

#featured-name{
    margin: 0;
    border: 0;    
}

#featured-name p{
    font-size: 25px;
    text-align: center;
    margin: 0px 180px;
    color:rgb(200, 205, 214);
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    height: 35px;
}

.preview-wrapper{
    width: 100%;
}

#preview-navigation{
    background-color:rgb(16, 33, 59);
    justify-content: center;
    align-self: center;
    width: 800px;
    margin: 25px auto;
    padding: 5px 0;
    border-radius: 30px;
    scroll-margin: 150px;
    border: 3px solid black;
}

#preview-navigation p{
    font-size: 40px;
    text-align: center;
    margin: 8px 0;
    padding: 0;
    color:rgb(200, 205, 214);
    box-sizing: border-box;
}



#preview-category-buttons{
    display: flex;
    justify-content:space-evenly;
    margin: 0;
    padding: 10px;
}

#preview-category-buttons #preview-category-inactive.active{
    color:rgb(0, 176, 94);
}

#preview-category-active{
    height: 80px;
    font-size: 30px;
    color:rgb(200, 205, 214);
    text-align: center;
    margin: auto;
    background-color:rgb(43, 62, 99);
    border-radius: 30px;
    cursor: pointer;
    width: 175px;
    padding: 7px 0px;
    font-family: 'Kanit', sans-serif;
    cursor:default;
}



#preview-category-inactive{
    font-size: 25px;
    color:rgb(200, 205, 214);
    text-align: center;
    margin: auto;
    background-color:rgb(43, 62, 99);
    border-radius: 30px;
    cursor: pointer;
    width: 175px;
    padding: 10px 0px;
}

#preview-category-inactive.active{
    font-size: 30px;
    padding: 7px 0px;
} 

@media (max-width: 800px){
    #preview-navigation{
        width: 100%;
    }

    #preview-category-buttons{
        display: flex;
        flex-direction: column;
    }

    #preview-category-inactive{
        font-size: 20px;
        width: 70%;
        margin-top: 10px;
    }

    #preview-category-inactive.active{
        font-size: 20px;
    }
}
.preview-row{
    justify-content: center;
    margin: 0;
    padding: 0;
}

#project-category{
    display: none;
}

#project-category.active{
    display: block;
}

.project-preview-left{
    max-width: 1066px;
    width: auto;
    height: auto;
    background-color:rgb(16, 33, 59);
    text-align: center;
    margin: 40px auto;
    padding: 0;
    border-radius: 30px;
    border: 3px solid black;
    display: flex;
}



.project-preview-right{
    max-width: 1066px;
    width: auto;
    height: auto;
    background-color:rgb(16, 33, 59);
    text-align: center;
    margin: 40px auto;
    padding: 0;
    border-radius: 30px;
    border: 3px solid black;
    display: flex;
}

#preview-title{
    color:rgb(0, 176, 94);
    font-size: 30px;
    padding: 10px 0 0 0;
    margin: 0;
    text-align: center;
    cursor: pointer;
}

#preview-image-left{
    height: auto;
    width: 50%;
    float: left;
    clear: left;
    background-color:none;
    border-radius: 30px;
    margin: 0;
    padding: 20px 0px 20px 20px;
    margin: auto 0px auto auto;
    cursor: pointer;
    align-self: center;
}


#preview-image-right{
    height: auto;
    width: 50%;
    float: right;
    clear: right;
    background-color:none;
    border-radius: 30px;
    margin: 0;
    padding: 20px 20px 20px 0px;
    margin: auto auto auto 0px;
    cursor: pointer;
    order: 2;
}

#project-thumbnail{
    width: 100%;
    border-radius: 15px;
    border: 3px solid black;
}

.preview-header-left{
    margin: 0px auto;
    padding: 0px;
    display: flex;
    flex-direction: column;
    width: 45%;
}

.preview-header-left a{
    text-decoration: none;
    color:rgb(0, 176, 94);
}

.preview-header-left a:visited{
    text-decoration: none;
    color:rgb(0, 176, 94);
}

.preview-header-right{
    margin: 0px auto;
    padding: 0px;
    display: flex;
    flex-direction: column;
    width: 45%;
}

.preview-header-right a{
    text-decoration: none;
}

#project-text{
    color:rgb(200, 205, 214);
    text-align: left;
    padding: 0;
    margin: 5px 15px auto 15px;
    font-size: 22px;
}

#project-text a{
    color:rgb(0, 176, 94);
    text-decoration: none;
}

#project-text a:link{
    color:rgb(0, 176, 94);
}

#project-text a:visited{
    color:rgb(0, 176, 94);
    text-decoration: none;
}



#preview-link{
    color:rgb(0, 176, 94);
    text-decoration: none;
}

#preview-link a{
    color:rgb(0, 176, 94);
    text-decoration: none;
}

#preview-linktext a:link{
    color:rgb(0, 176, 94);
}

#preview-link a:visited{
    color:rgb(0, 176, 94);
    text-decoration: none;
}


.show-project-button{
    height: 35px;
    width: 100px;
    margin: 10px auto;
    color:rgb(200, 205, 214);
    background-color:rgb(43, 62, 99);
    border-radius: 25px;
    cursor: pointer;
    float: bottom;
    clear: bottom;
    text-decoration: none;
}

@media (max-width: 1066px){
    .project-preview-left{
        width: 100%;
        flex-direction: column;
        padding: auto
    }
    #preview-image-left{
        align-self: center;
        margin: auto;
        width: 92%;
        padding: 20px 0px 5px 0px;
    }
    .preview-header-left{
        width: 70%;
        text-align: center;
    }
    .project-preview-right{
        width: 100%;
        flex-direction: column;
        padding: auto
    }
    #preview-image-right{
        align-self: center;
        margin: auto;
        width: 92%;
        padding: 20px 0px 5px 0px;
        float: left;
        clear: left;
    }
    .preview-header-right{
        width: 70%;
        text-align: center;
    }
    #project-text{
        text-align: center;
        padding-bottom: 10px;
    }
}

.about-me-main-container{
    width: 1152px;
    display: flex;
    height: auto;
    justify-content: center;
    margin: 40px auto;
}

.about-me-leftside{
    height: fit-content;
    width: 50%;
    margin: 0px 25px 0px 0px;
}

.about-me-profile{
    width: 1152px;
    display: flex;
    margin: 40px auto 20px;
}

.about-me-cut{
    width: 50%;
    display: flex;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    margin: 0 20px 0 0;
    border: 3px solid black;
}

.about-me-blocker{
    width: 50%;
    margin: 0 0 0 20px;
}

.about-me-profile-picture{
    margin: 20px;
    float: left;
    clear: left;
}

.about-me-header{
    justify-content: center;
    text-align: center;
    margin:auto;
    color:rgb(200, 205, 214);
}

#about-me-name{
    font-size: 40px;
    margin: 0;
    padding: 0;
}

#about-me-title{
    font-size: 22px;
    margin: 0;
    padding: 0;
}

.about-me-textcontainer{
    width: 100%;
    height: 100%;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    border: 3px solid black;
}

.about-me-maintext{
    padding: 0;
    margin: 0px 10px 20px 20px;
}

.about-me-maintext p{
    font-size: 20px;
    color:rgb(200, 205, 214);
    margin: 0;
    padding: 0;
}

.about-me-maintext a{
    color:rgb(0, 176, 94);
    text-decoration: none;
    font-size: 20px;
    margin: 0;
    padding: 0;
}

.about-me-maintext a:visited{
    color:rgb(0, 176, 94);
    text-decoration: none;
    font-size: 20px;
    margin: 0;
    padding: 0;
}

.about-me-rightside{
    width: 50%;
    margin: 0px 0px 0px 25px;
    height: fit-content;
}

.about-me-experiences{
    width: 100%;
    height: auto;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    border: 3px solid black;
    margin: 0;
}

#about-me-section-header{
    clear: right;
    left: auto;
    right: auto;
    margin: 0;
    padding: 15px 0;
    text-align: center;
    font-size: 25px;
    color: rgb(0, 176, 94);
}

#resume-download{
    position: absolute;
    padding: 12px;
    margin: 10px 0px 10px 420px;
    width: auto;
    border-radius: 30px;
    background-color:rgb(43, 62, 99);
    color:rgb(200, 205, 214);
    cursor: pointer;
}

#resume-download:hover{
    color:rgb(0, 176, 94);
}

.experience-entries{
    margin: 10px 20px;
}

#experience-timemark{
    font-size: 15px;
    color:rgb(200, 205, 214);
    margin: 3px 10px;
    padding: 0;
}

#experience-description{
    font-size: 20px;
    color:rgb(200, 205, 214);
    margin: 0;
    padding: 0 0 20px 0;
}

.about-me-software-proficiencies{
    margin: 40px 0;
    width: 100%;
    height: auto;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    padding: 0 0 10px 0;
    border: 3px solid black;
}

.software-icons-row{
    padding: 0 30px;
    display: flex;
    align-items: center;
}

.software-icons-column{
    margin: 0px;
    flex-basis: 100%;
    display: flex;
    justify-content: flex-start;
}

#software-icon{
    margin: 10px 0;
    width: 50px;
    height: 50px;
    vertical-align: middle;
}

#software-name{
    margin: 0 0 0 8px;
    align-self: center;
    color:rgb(200, 205, 214);
}

#about-me-contact-me{
    margin: 40px 0 0 0;
    width: 100%;
    height: auto;
    background-color:rgb(16, 33, 59);
    border-radius: 30px;
    border: 3px solid black;
    scroll-margin: 150px;
}

#contact-me-text{
    font-size: 20px;
    color:rgb(200, 205, 214);
    margin: 0;
    padding: 0px 20px 20px 20px;
}

.contact-socials{
    margin: auto;
    padding: 5px 0;
    display: flex;
    flex-direction: column;
    width: 420px;
}

.contact-socials p{
    font-size: 22px;
    color: rgb(200, 205, 214);
    margin: 0;
    padding: 20px;
    text-align: center;
}

#social-button{
    padding: 0;
    width: 58px;
    height: 58px;
    background-color:rgb(43, 62, 99);
    border-radius: 30px;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#social-button a{
    margin-left: auto;
    margin-right: auto;
    transform: scale(0.8);
}
